/*******************************************************************Copyright Universität Bayreuth 2017*******************************************************************/

var dropZone = document.getElementById('drop_zone');	//DropZone speichern
dropZone.originalText = dropZone.innerHTML; 			//Alter Text zwischenspeichern


/********************************************************************************
Verschiedene Events:
********************************************************************************/
dropZone.addEventListener('dragover', 	handleDragOver, 	false);
dropZone.addEventListener('drop', 		handleFileSelect, 	false);
dropZone.addEventListener('dragenter', 	dropZoneHover, 		false);
dropZone.addEventListener('dragleave', 	dropZoneLeave, 		false);


/********************************************************************************
CALLBACK - Damit sich Hintergrund ändert, falls man mit Maus und Datei drüber fährt:
********************************************************************************/
function dropZoneHover(evt) {
  dropZone.className = "dz-drag";
  document.getElementById('idInnerHTMLDropZone').className = "hideContent";
}


/********************************************************************************
CALLBACK - Hier wird Datei eingelesen:
********************************************************************************/
function handleFileSelect(evt) {
	evt.stopPropagation();							  //inet: Prevents the event from bubbling up the DOM tree, preventing any parent handlers from being notified of the event
	evt.preventDefault();						    	//inet: If this method is called, the default action of the event will not be triggered. ...Lässt man das weg, würde sich .STEP in einem neuen Tab öffnen
	dropZoneReset();        						  //Funktion siehe unten
	var files = evt.dataTransfer.files;   //FileList object.

	// console.log("Es wurden folgende Dateien eingelesen: ");
	for(i=0; i<files.length; i++)
		// {console.log(files[i])}

	//Externe Routine aufrufen:
	for (var i = 0; i < files.length; i++)   					//files.length ist die Anzahl der eingelesen Dateien
	{
		var fileName = evt.dataTransfer.files[i].name;

		//Datei-Endung herausfinden:
		var countLetter = fileName.length;
		var fileEndingArray = [];
		var countUp = 0;
		for (var j = countLetter-3; j<countLetter; j++)
		{
			var harry;
			harry = fileName[j];
			fileEndingArray[countUp] = harry;		//Zwischenspeichern, weil Array- auf Array-Element nicht funktioniert
			countUp++;
		}
		var fileEnding = fileEndingArray.join("");

		//Funktion aus externer Datei:
		processStepXMLFile(fileName,fileEnding,files[i]);
	}
};


/********************************************************************************
CALLBACK - Datei darf sich nicht in extra Tab öffnen:
********************************************************************************/
function handleDragOver(evt) {
  evt.stopPropagation();				//inet: Prevents the event from bubbling up the DOM tree, preventing any parent handlers from being notified of the event
  evt.preventDefault();					//inet: If this method is called, the default action of the event will not be triggered. ...Lässt man das weg, würde sich .STEP in einem neuen Tab öffnen
  evt.dataTransfer.dropEffect = 'copy';
}

/********************************************************************************
CALLBACK - DropZone wieder auf Ausgangszustand setzen, wenn man linke Maustaste losgelassen hat:
********************************************************************************/
function dropZoneLeave(evt) {
  dropZoneReset();
}


/********************************************************************************
DropZone wieder auf Ausgangszustand setzen:
********************************************************************************/
function dropZoneReset(evt) {
  dropZone.className = "dz-free";
  dropZone.innerHTML = dropZone.originalText;
}
